"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var childProcess = require("child_process");
function execute(command, args, options) {
    if (args === void 0) { args = []; }
    var spawnOptions = { shell: true };
    if (options && options.cwd) {
        spawnOptions.cwd = options.cwd;
    }
    return new Promise(function (resolve, reject) {
        var stdout = '';
        var stderr = '';
        var proc = childProcess.spawn(command, args, spawnOptions);
        proc.stdout.on('data', function (data) {
            stdout = stdout + data;
        });
        proc.stderr.on('data', function (data) {
            stderr = stderr + data;
        });
        proc.on('close', function (code) {
            if (code !== 0) {
                return reject(new Error(stdout || stderr));
            }
            resolve(stdout || stderr);
        });
    });
}
exports.execute = execute;
//# sourceMappingURL=sub-process.js.map